> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a friend by name

> Provide some details of a referee (optional - if you have them) and some context (such as locale) so we can tell you if we can serve a name finder journey. We'll provide the URL to the web-view for their journey.

Given a set of input parameters about the referee (and segment etc), decide if we could serve them a referee
name finder journey and give them a link to the web view for doing that.

If you choose to direct the consumer to the URL via an iframe, the closing of the journey and the fulfillment of any coupon is done via postMessage. If you send the consumer to the URL they will close the flow using the browser itself and the CTA at the end is the defined CTA URL to take them to the next step of their journey.



## OpenAPI

````yaml /openapi/entrypoint_api.oas.json post /api/entry-point/{version}/referee
openapi: 3.0.0
info:
  title: Entry Point API
  description: >-
    Add links or buttons to your App which take customers into a hosted web view
    to allow them to refer their friends or become referred.
  termsOfService: https://mention-me.com/help/tnc_f/site
  version: v2
servers:
  - url: https://mention-me.com
    description: Production
  - url: https://demo.mention-me.com
    description: Demo
security: []
tags:
  - name: Referrer
  - name: Referee
  - name: Dashboard
paths:
  /api/entry-point/{version}/referee:
    post:
      tags:
        - Referee
      summary: Find a friend by name
      description: >-
        Provide some details of a referee (optional - if you have them) and some
        context (such as locale) so we can tell you if we can serve a name
        finder journey. We'll provide the URL to the web-view for their journey.


        Given a set of input parameters about the referee (and segment etc),
        decide if we could serve them a referee

        name finder journey and give them a link to the web view for doing that.


        If you choose to direct the consumer to the URL via an iframe, the
        closing of the journey and the fulfillment of any coupon is done via
        postMessage. If you send the consumer to the URL they will close the
        flow using the browser itself and the CTA at the end is the defined CTA
        URL to take them to the next step of their journey.
      operationId: post_api_entry_point_referee
      parameters:
        - name: version
          in: path
          description: Version
          required: true
          schema:
            type: string
            pattern: v2|v1
            enum:
              - v2
              - v1
          example: v2
      requestBody:
        description: Information to retrieve a referee entry point URL
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EntryPointForRefereeType'
      responses:
        '200':
          description: Returned when successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntryPointLink'
        '404':
          description: Returned when this specific integration point has been disabled
        '422':
          description: Data had validation errors
        '500':
          description: Internal server error, unable to complete the request
components:
  schemas:
    EntryPointForRefereeType:
      required:
        - request
      properties:
        customer:
          title: Referee
          description: Information about the referee (if you have any)
          oneOf:
            - $ref: '#/components/schemas/Referee'
        request:
          title: Request
          description: Information about the request
          oneOf:
            - $ref: '#/components/schemas/RequestWithVariation'
        implementation:
          title: Implementation
          description: Options for the implementation
          oneOf:
            - $ref: '#/components/schemas/ImplementationDetails'
      type: object
    EntryPointLink:
      properties:
        url:
          title: The url to include in the share
          type: string
        defaultCallToAction:
          title: The default message to include as the CTA
          type: string
          default: ''
      type: object
    Referee:
      properties:
        emailAddress:
          description: Customer email address
          type: string
          example: ''
        title:
          description: Customer title such as Mr, Miss, Dr or Sir
          type: string
          example: ''
        firstname:
          description: Customer firstname
          type: string
          example: ''
        surname:
          description: Customer surname
          type: string
          example: ''
        uniqueIdentifier:
          description: Your unique identifier for this customer e.g. CustomerId
          type: string
          example: ''
      type: object
    RequestWithVariation:
      required:
        - partnerCode
        - situation
        - localeCode
      properties:
        partnerCode:
          description: Your partner code, used to link to your users and offers
          type: string
          example: '[YOUR-PARTNER-CODE]'
        situation:
          description: >-
            Situation - a string representing where in the application you are
            making this request
          type: string
          example: mobile-app
        segment:
          description: Segment - the segment the customer belongs to
          type: string
          example: vip
        localeCode:
          description: >-
            Locale code - ISO standard locale code (e.g. en_GB) for the locale
            you expect the content to be in
          type: string
          example: en_GB
        ipAddress:
          description: >-
            IP address of the customer connection. If you're making a request on
            behalf of a customer, pass their IP address here. If the customer
            will connect directly, leave this empty and we will retrieve this
            from their request.
          type: string
          example: 127.0.0.1
        userDeviceIdentifier:
          description: >-
            User Device Identifier should be a unique reference to this device.
            We use this for preventing gaming. Multiple users with the same
            Device Identifier will be treated as the same individual and may be
            flagged for gaming. On Android the UniqueID could be an InstanceID
            or GUID. On iPhone the UniqueID should be generated by
            identifierForVendor.
          type: string
          example: ''
        deviceType:
          description: >-
            Device type - your description of the device the user is using. We
            use this for performance and conversion optimisation.
          type: string
          example: ''
        appName:
          description: Your application name. Used for reporting.
          type: string
          example: ''
        appVersion:
          description: >-
            Your application version reference. Used for reporting and
            troubleshooting.
          type: string
          example: e.g. MyApp/v1.73
        variation:
          description: >-
            Variation - an index (0,1,2...) specifying which of the currently
            running AB tests to choose (if available)
          type: string
          example: ''
      type: object
    ImplementationDetails:
      properties:
        wrapContentWithBranding:
          description: >-
            If true (default), serve content in the URLs with customisable
            branding wrapper (normally a logo and padding). If false, serve
            content without any wrapping. 
          type: boolean
          example: true
        showCloseIcon:
          description: >-
            If true (and the page is rendered inside an iframe), Mention Me will
            include a close icon. A user clicking on the close icon will trigger
            a postMessage event which can be listened to for closing the iframe.
            Documentation is available at
            https://docs.mention-me.com/developer-docs/advanced/postmessage-iframe
          type: boolean
          example: false
      type: object

````